Package ru.bitel.bgbilling.plugins.cashcheck.server.task

# Class AdvancePayments

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.plugins.cashcheck.server.task.AdvancePayments

public class AdvancePayments extends ru.bitel.bgbilling.kernel.task.server.TaskBase
Задача обработки для "зачётов авансов". Для схемы фискализации двухэтапной. По дефолту обрабатывает предыдущий месяц. Обычно обрабатываются все договоры имеющие движения баланса в указанный месяц (см. contract_balance) Используется дин.код, который умеет гибко печатать как на каждый договор, так и группировать в один чек, например, по разным ККТ итд. Сама задача вызывает метод makeCheckAdvancePayments, который формирует последовательность чеков и через колбек они печатаются в этой задаче.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, error, moduleId, setup, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdvancePayments()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`
  `protected boolean`
  `initTask()`
  `protected void`
  `process(Connection con, Connection conSlave)`
  `protected void`
  `process_old(Connection con, Connection conSlave)`
  `void`
  `setManual(LocalDate month, List<Integer> contractsIds)`
  настройки для ручного запуска

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getError, getFinishTime, getModuleId, getOperatingTime, getPriority, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, setPriority, startTask, taskParameters, to`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdvancePayments

    public AdvancePayments()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### setManual

    public void setManual(LocalDate month, List<Integer> contractsIds)
    настройки для ручного запуска

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### process

    protected void process(Connection con, Connection conSlave) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### process_old

    protected void process_old(Connection con, Connection conSlave) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`